import { Program } from "@typespec/compiler";
import { FunctionComponent, ReactElement } from "react";
export declare function renderProgram(program: Program): string;
export interface TypeSpecProgramViewerProps {
    program: Program;
}
export declare const TypeSpecProgramViewer: FunctionComponent<TypeSpecProgramViewerProps>;
export interface ItemListProps<T> {
    items: Map<string, T> | T[];
    render: (t: T) => ReactElement<any, any> | null;
}
export declare const ItemList: <T extends object>(props: ItemListProps<T>) => import("@emotion/react/jsx-runtime").JSX.Element;
//# sourceMappingURL=ui.d.ts.map